Bug 228591 - Review Request: speedcrunch - a KDE power user calculator
Review Request: speedcrunch - a KDE power user calculator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-13 16:44 EST by Roland Wolters
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-24 21:43:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
Use this SPEC (1.62 KB, text/x-rpm-spec)
2007-02-15 02:36 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Roland Wolters 2007-02-13 16:44:44 EST
Spec URL: http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch.specSRPM URL: http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch-0.7-beta2.1.src.rpm
Description: (From the homepage)
SpeedCrunch is a fast, high precision and powerful desktop calculator. 
Few of its distinctive features are:
*scrollable display
*up to 50 decimal precisions
*unlimited variable storage
*intelligent automatic completion
*full keyboard-friendly
*more than 15 built-in math function
*optional keypad

It is supposed to replace kcalc in KDE in Fedora 7.
Comment 1 Parag AN(पराग) 2007-02-14 00:35:43 EST
mock build is fine.
But rpmlint reported warnings
W: speedcrunch wrong-file-end-of-line-encoding /usr/share/doc/speedcrunch-0.7/README
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: speedcrunch wrong-file-end-of-line-encoding
/usr/share/doc/speedcrunch-0.7/ChangeLog
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: speedcrunch wrong-file-end-of-line-encoding
/usr/share/doc/speedcrunch-0.7/COPYING
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

==> Above can be fixed easily. See
http://fedoraproject.org/wiki/Packaging/CommonRpmlintIssues#head-a0f61366f8eb114896cb4db188ee22b3d273f3a8

W: speedcrunch mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

Use sed -i -e 's|\t|  |g' speedcrunch.spec



Comment 2 Parag AN(पराग) 2007-02-14 02:08:21 EST
I saw configure script in tarball.
Why its not used?
Comment 3 Roland Wolters 2007-02-14 19:52:20 EST
The configure was not used because cmake is provided and it is likely that all 
newer KDE related applications switch to cmake and drop the autotools sooner 
or later. Of course if preferred I can also use configure.

About the line end encoding: I'm not sure how I should change the files. I can 
generate a patch file which would be exactly as big as the mentioned files. Is 
there a save way to call sed in the spec file?
Comment 4 Parag AN(पराग) 2007-02-15 02:33:34 EST
(In reply to comment #3)
> The configure was not used because cmake is provided and it is likely that all 
> newer KDE related applications switch to cmake and drop the autotools sooner 
> or later. Of course if preferred I can also use configure.
Then its ok. No problem.
> 
> About the line end encoding: I'm not sure how I should change the files. I can 
> generate a patch file which would be exactly as big as the mentioned files. Is 
> there a save way to call sed in the spec file?
its simple to call sed in spec. Have you checked link given comment #1?

Comment 5 Parag AN(पराग) 2007-02-15 02:36:39 EST
Created attachment 148098 [details]
Use this SPEC 

Bump the release. Add ChangeLog in SPEC.
Comment 6 Roland Wolters 2007-02-15 05:46:29 EST
The new srpm is here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch-0.7-beta2.2.src.rpm
I replaced the old spec, just take the link from above.

About the line encoding: yes, I read the comment but wasn't unsure if to call 
the argument from the spec or if I should provide a patch. So I just included 
the line like in your attached spec (and changed the tab-space stuff and the 
version number, etc).
Comment 7 Roland Wolters 2007-02-20 10:42:27 EST
Forgot to mention that I didn't replaced the old spec but corrected it 
according to your suggestions. The reason is that I want to learn from my 
mistakes and don't want you to do my work ;)

rpmlint has no errors at all on this new version on the src.rpm, the rpm or 
the debug-rpm.
Comment 8 Parag AN(पराग) 2007-02-22 00:46:20 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM
+ source files match upstream.
e9a94f6a054c1332483024ee035d3a79  speedcrunch-0.7-beta2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available but not handled with %find_lang.
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
- Desktop file installed correctly but not able to view it under Applications Menu.
+ GUI app.

SHOULD:
  desktop file should be viewable under applications menu. Update Desktop file
and submit new package.
Comment 9 Roland Wolters 2007-02-22 07:28:54 EST
"Update Desktop file"
- Sorry, I don't know what to update, the desktop file is exactly made like 
the example in 'Guidelines#desktop'
Comment 10 Rex Dieter 2007-02-22 08:37:44 EST
What
Categories=...
are listed in it's .desktop file?
For example, kcalc (in kdeutils) includes:
Categories=Qt;KDE;Utility;X-KDE-Utilities-Desktop;
Comment 11 Roland Wolters 2007-02-22 10:46:31 EST
Categories=Engineering; (The same as the Group in the spec file)
Should I switch that?
Comment 12 Rex Dieter 2007-02-22 10:53:36 EST
It should include a "Main" Category, see
http://standards.freedesktop.org/menu-spec/latest/apa.html
All other Categories are optional, they're not guarranteed to be supported (ie,
appear in menus).
Comment 13 Roland Wolters 2007-02-22 11:07:48 EST
I added Utility as a category, the new spec file is here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch.spec
The new src.rpm is here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch-0.7-beta2.3.src.rpm
Comment 14 Rex Dieter 2007-02-22 11:14:23 EST
For Release, use (something like):
Release:        0.1.beta2%{?dist}
Per
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-e104844825856d7c45f2f0241586985c0495966b
Comment 15 Roland Wolters 2007-02-22 13:00:24 EST
Changed it, the spec file is at the usual place, the new src rpm is here:
http://www.personal.uni-jena.de/~p1woro/fedorarpms/speedcrunch-0.7-0.4.beta2.src.rpm
Comment 16 Parag AN(पराग) 2007-02-22 23:55:16 EST
Thanks Rex for pointing Naming of package.
Thanks Ronald for adding correct Category to Desktop file.
Now i can see Menu option under Applications.

APPROVED.
Comment 17 Roland Wolters 2007-02-23 15:25:04 EST
According to "NewPackageProcess" I now have to do the steps described 
at "CVSAdminProcedure". So I added the following snippet and flagged 'fedora 
cvs' with a '?', but got the error "New Package CVS RequestYou tried to 
request fedora-cvs. Only a sufficiently empowered user can make this change." 
What am I supposed to do now?

=======================
Package Name: speedcrunch
Short Description: high precision KDE calculator
Owners: wolters.liste@gmx.net
Branches: FC-5 FC-6
InitialCC: 
Comment 18 Warren Togami 2007-02-24 16:40:12 EST
> but got the error "New Package CVS RequestYou tried to 
> request fedora-cvs. Only a sufficiently empowered user can make this change." 
> What am I supposed to do now?

This means that you were not a member of the fedorabugs group.  Is this now
corrected?

Comment 19 Roland Wolters 2007-02-24 20:58:37 EST
I never requested to be a member of fedorabugs because these people are also 
allowed to approve packages, according to this page:
http://fedoraproject.org/wiki/Extras/Contributors

I don't think that I am skilled enough to make formal approvements, but since 
the membership is even needed to finish a normal review I requested the 
membership in the account system. The Role Status is "unapproved" at the 
moment.
Comment 20 Roland Wolters 2007-02-24 21:43:58 EST
Builds in devel.
Comment 21 Roland Wolters 2007-03-26 17:49:02 EDT
Package Change Request
======================
Package Name: speedcrunch
Updated Fedora CC: Rex Dieter (rdieter@math.unl.edu)

Please make him co-maintainer.

This review is used for this procedure because it was stated to do so: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Note You need to log in before you can comment on or make changes to this bug.